Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_SCIOPEndpointSequence_var Class Reference

`#include <sciop_endpoints.h>`

List of all members.

## Public Methods
| TAO_SCIOPEndpointSequence_var (void)
| TAO_SCIOPEndpointSequence_var (TAO_SCIOPEndpointSequence *)
| TAO_SCIOPEndpointSequence_var (const TAO_SCIOPEndpointSequence_var &)
| ~TAO_SCIOPEndpointSequence_var (void)
TAO_SCIOPEndpointSequence_var & | operator= (TAO_SCIOPEndpointSequence *)
TAO_SCIOPEndpointSequence_var & | operator= (const TAO_SCIOPEndpointSequence_var &)
TAO_SCIOPEndpointSequence * | operator-> (void)
const TAO_SCIOPEndpointSequence * | operator-> (void) const
| operator const TAO_SCIOPEndpointSequence & () const
| operator TAO_SCIOPEndpointSequence & ()
| operator TAO_SCIOPEndpointSequence & () const
| operator TAO_SCIOPEndpointSequence *& ()
TAO_SCIOP_Endpoint_Info & | operator[] (CORBA::ULong index)
const TAO_SCIOPEndpointSequence & | in (void) const
TAO_SCIOPEndpointSequence & | inout (void)
TAO_SCIOPEndpointSequence *& | out (void)
TAO_SCIOPEndpointSequence * | _retn (void)
TAO_SCIOPEndpointSequence * | ptr (void) const
## Private Attributes
TAO_SCIOPEndpointSequence * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE TAO_SCIOPEndpointSequence_var::TAO_SCIOPEndpointSequence_var | ( | void |  | ) |

ACE_INLINE TAO_SCIOPEndpointSequence_var::TAO_SCIOPEndpointSequence_var | ( | TAO_SCIOPEndpointSequence * |  | ) |

TAO_SCIOPEndpointSequence_var::TAO_SCIOPEndpointSequence_var | ( | const TAO_SCIOPEndpointSequence_var & |  | ) |

ACE_INLINE TAO_SCIOPEndpointSequence_var::~TAO_SCIOPEndpointSequence_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE::TAO_SCIOPEndpointSequence * TAO_SCIOPEndpointSequence_var::_retn | ( | void |  | ) |

ACE_INLINE const ::TAO_SCIOPEndpointSequence & TAO_SCIOPEndpointSequence_var::in | ( | void |  | ) | const

ACE_INLINE::TAO_SCIOPEndpointSequence & TAO_SCIOPEndpointSequence_var::inout | ( | void |  | ) |

TAO_SCIOPEndpointSequence_var::operator const TAO_SCIOPEndpointSequence & | ( |  | ) |

TAO_SCIOPEndpointSequence_var::operator TAO_SCIOPEndpointSequence & | ( |  | ) |

TAO_SCIOPEndpointSequence_var::operator TAO_SCIOPEndpointSequence & | ( |  | ) |

TAO_SCIOPEndpointSequence_var::operator TAO_SCIOPEndpointSequence *& | ( |  | ) |

ACE_INLINE const ::TAO_SCIOPEndpointSequence * TAO_SCIOPEndpointSequence_var::operator-> | ( | void |  | ) | const

ACE_INLINE::TAO_SCIOPEndpointSequence * TAO_SCIOPEndpointSequence_var::operator-> | ( | void |  | ) |

TAO_SCIOPEndpointSequence_var& TAO_SCIOPEndpointSequence_var::operator= | ( | const TAO_SCIOPEndpointSequence_var & |  | ) |

ACE_INLINE TAO_SCIOPEndpointSequence_var & TAO_SCIOPEndpointSequence_var::operator= | ( | TAO_SCIOPEndpointSequence * |  | ) |

ACE_INLINE TAO_SCIOP_Endpoint_Info & TAO_SCIOPEndpointSequence_var::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE::TAO_SCIOPEndpointSequence *& TAO_SCIOPEndpointSequence_var::out | ( | void |  | ) |

ACE_INLINE::TAO_SCIOPEndpointSequence * TAO_SCIOPEndpointSequence_var::ptr | ( | void |  | ) | const

## Member Data Documentation

TAO_SCIOPEndpointSequence* TAO_SCIOPEndpointSequence_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- sciop_endpoints.h
- sciop_endpoints.i